Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

liblua5.1-devel-5.1.5-22.mga9 RPM for armv7hl

From Mageia 9 for armv7hl / media / core / release

Name: liblua5.1-devel Distribution: Mageia
Version: 5.1.5 Vendor: Mageia.Org
Release: 22.mga9 Build date: Fri Mar 18 12:34:18 2022
Group: Development/Other Build host: localhost
Size: 41805 Source RPM: lua5.1-5.1.5-22.mga9.src.rpm
Packager: umeabot <umeabot>
Url: http://www.lua.org/
Summary: Powerful, light-weight programming language
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.

Provides

Requires

License

MIT

Changelog

* Fri Mar 18 2022 umeabot <umeabot> 5.1.5-22.mga9
  + Revision: 1797853
  - Mageia 9 Mass Rebuild
* Thu Apr 15 2021 wally <wally> 5.1.5-21.mga9
  + Revision: 1715913
  - fix updating lua5.1 from mga8 (mga#28773)
* Fri Apr 02 2021 wally <wally> 5.1.5-20.mga9
  + Revision: 1712838
  - remove lua-devel conflicts
* Fri Apr 02 2021 wally <wally> 5.1.5-19.mga9
  + Revision: 1712673
  - remove lua-rpm-macros requires from devel pkg
* Tue Mar 30 2021 wally <wally> 5.1.5-18.mga9
  + Revision: 1711939
  - add binary symlinks for compatibility with other distros
  - make devel pkg parallel installable with new lua version
  - drop alternatives support
  - build with our %ldflags
* Sun Mar 28 2021 wally <wally> 5.1.5-17.mga9
  + Revision: 1711500
  - require lua5.1 and lua-rpm-macros with devel pkg
* Sun Mar 28 2021 wally <wally> 5.1.5-16.mga9
  + Revision: 1711328
  - add lua(abi) provides

Files

/usr/include/lua-5.1
/usr/include/lua-5.1/lauxlib.h
/usr/include/lua-5.1/lua.h
/usr/include/lua-5.1/lua.hpp
/usr/include/lua-5.1/luaconf.h
/usr/include/lua-5.1/lualib.h
/usr/lib/liblua-5.1.so
/usr/lib/pkgconfig/lua-5.1.pc


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue May 28 05:47:27 2024